#!/bin/sh
#

LOC=`pwd`
NEW=/usr/src/linux

if [ -d $NEW ]; then
	cd $NEW
	patch -p0 <$LOC/kernel_24/patch/patches/Makefile.patch
	patch -p0 <$LOC/kernel_24/patch/patches/netsyms.c.patch
	patch -p0 <$LOC/kernel_24/patch/patches/ip_input.c.patch
	patch -p0 <$LOC/kernel_24/patch/patches/ip_output.c.patch
	cp -f $LOC/kernel_24/patch/iptrk.c	./net/ipv4
	cp -f $LOC/kernel_24/patch/iptrk.h	./include/linux
	chown -R root.root $NEW
	echo Kernel Patched.
else
	echo Kernel source tree doesnt exist. Patch failed.
	exit 0
fi
